post
https://api.katapult.com/v1//first_payment/
Post origination, the first payment can be made by posting to this endpoint. In the payload, id is the uid of the application.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Requested Attributes
| Attribute | Data Type | Description | Required Format |
|---|---|---|---|
| CardNumber | string | credit card number the customer uses for the first payment to checkout | 16 digit number |
| CardCvv | string | 3 or 4 digit security number on the back of the customer's card | 3 digit number |
| CardExpiration | string | credit card expiration date | MM/YY |
| PaymentType | string | type of payment processing | result possibilities |
| Contract | string | used to indicate if the lease agreement has been accepted & signed or not | true / false |
| Disclosure | string | used to indicate if all disclosures have been accepted & signed or not | true / false |
Requested Payload
{
"payment_details": {
"CardNumber": "4111111111111111",
"CardCvv": "324",
"CardExpiration": "12/20",
"PaymentType": "debit",
"Contract": "true",
"Disclosure": "true"
}
}
First Payment Errors
| Errors | HTTP status | Description |
|---|---|---|
| NOT FOUND | 404 | Invalid Request Payload |
